## org.jfree.xml.parser.coretypes
Class FontReadHandler

    java.lang.Object
      org.jfree.xml.parser.AbstractXmlReadHandler
          org.jfree.xml.parser.coretypes.FontReadHandler

All Implemented Interfaces:
  XmlReadHandler

public class FontReadHandler
extends AbstractXmlReadHandler

A SAX handler for reading a font definition.

Constructor Summary
`FontReadHandler()` Creates a new SAX handler for reading a `Font` from XML.

Method Summary
`java.lang.Object` `getObject()` Returns the font under construction.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Called at the start of parsing a font element, this method reads the attributes and constructs the font.

Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler
`characters, doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontReadHandler

    public FontReadHandler()

  Creates a new SAX handler for reading a `Font` from XML.

Method Detail

### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

  Called at the start of parsing a font element, this method reads the attributes and constructs the font.

  Overrides:
    `startParsing` in class `AbstractXmlReadHandler`
  Parameters:
    `attrs` - the attributes.
  Throws:
    `org.xml.sax.SAXException` - to indicate a parsing error.

### getObject

    public java.lang.Object getObject()

  Returns the font under construction.

  Returns:
    the font.